;:::::::: FONCTIONS DE TRAVAIL SUR UN EDIFICE ::::::::

; Lister l' édifice lié à un cube
; LR : Liste des cubes restant à traiter (on devra y mettre les voisins effectifs du cube posé à l'appel)
; LE : Liste de l'édifice déjà construit (on devra y mettre le cube posé à l'appel)
(defun edif (LR LE)
  (cond ((null LR)         LE) ; Cas d'arrêt -> on renvoie l'edifice
	((app (car LR) LE) (edif (cdr LR) LE))
	(t                 (edif (nettoiedouble (append (voisins (car LR)) (cdr LR)) nil) (cons (car LR) LE)))))

; Pour appeler edif de manière simple (juste un cube en paramètre)
(defun edifice (cube)
  (edif (list cube) nil))

; Liste les cubes à la base d'un édifice
(defun listerb (LE LB)
  (cond ((null LE)  LB)
	((= (accesg (car LE) 'z) 1) (listerb (cdr LE) (cons (car LE) LB)))
	(t                          (listerb (cdr LE) LB))))

; Pour appeler listeb de manière simple (juste l'édifice en paramètre)
(defun listerbase (LE)
  (listerb LE '()))
 
; Lister les coordonnées x, y d'une liste de cubes à la base d'un édifice
(defun listerxy (LB)
  (mapcar '(lambda (cube) (list (accesg cube 'x) (accesg cube 'y))) LB))