;:::::::: FONCTIONS DE MISE A JOUR DES CUBES ::::::::

; Mettre à jour les clés nord, sud, etc. d'un nouveau cube
(defun majptcards (cube)
  (majunptcard cube (donnercube (+ (accesg cube 'x) 2) (accesg cube 'y) (accesg cube 'z)) 'est)
  (majunptcard cube (donnercube (- (accesg cube 'x) 2) (accesg cube 'y) (accesg cube 'z)) 'ouest)
  (majunptcard cube (donnercube (accesg cube 'x) (+ (accesg cube 'y) 2) (accesg cube 'z)) 'nord)
  (majunptcard cube (donnercube (accesg cube 'x) (- (accesg cube 'y) 2) (accesg cube 'z)) 'sud)
  (majunptcard cube (donnercube (accesg cube 'x) (accesg cube 'y) (+ (accesg cube 'z) 2)) 'haut)
  (majunptcard cube (donnercube (accesg cube 'x) (accesg cube 'y) (- (accesg cube 'z) 2)) 'bas))

; Mettre à jour une clé du nouveau cube
(defun majunptcard (cube cubevois ptcard)
  (if (null cubevois)
      (majg cube ptcard 'vide)
      (majg cube ptcard cubevois)))

; Mettre à jour les clés des voisins du nouveau cube
(defun majvoisins (cube)
  (majunvoisin cube (donnercube (+ (accesg cube 'x) 2) (accesg cube 'y) (accesg cube 'z)) 'ouest)
  (majunvoisin cube (donnercube (- (accesg cube 'x) 2) (accesg cube 'y) (accesg cube 'z)) 'est)
  (majunvoisin cube (donnercube (accesg cube 'x) (+ (accesg cube 'y) 2) (accesg cube 'z)) 'sud)
  (majunvoisin cube (donnercube (accesg cube 'x) (- (accesg cube 'y) 2) (accesg cube 'z)) 'nord)
  (majunvoisin cube (donnercube (accesg cube 'x) (accesg cube 'y) (+ (accesg cube 'z) 2)) 'bas)
  (majunvoisin cube (donnercube (accesg cube 'x) (accesg cube 'y) (- (accesg cube 'z) 2)) 'haut))

; Mettre à jour une clé d'un voisin du nouveau cube
(defun majunvoisin (cube cubevois ptcardvois)
  (if (not (null cubevois))
      (majg cubevois ptcardvois cube)))